# -*- coding: utf8 -*-

import sys
from os import path


def TestSM4():
    sessionKey = b'1234567890abcdef'
    originData = b'hello world,bye!hello world,bye!'
    print('origin data: %s' % str(originData))
    encryptedData = sm4helper.Encrypt(originData, sessionKey)
    print('encrypted data: %s' % str(encryptedData))
    decryptedData = sm4helper.Decrypt(encryptedData, sessionKey)
    print('decrypted data: %s' % str(decryptedData))
    assert decryptedData == originData
    print('sm4 test ok')


if __name__ == '__main__':
    sys.path.append(path.dirname(path.dirname(path.abspath(__file__))))
    from iottid import sm4helper
    TestSM4()
